#ifndef CLASERPATH_EPULSE_H
#define CLASERPATH_EPULSE_H

#include "claserpath.h"

class CLaserPath_Epulse : public CLaserPath
{
public:
    CLaserPath_Epulse(const QString& name,int32_t id);
	CALIMAP_FREQ		m_PowerCali;

	// CLaserPath interface
public:
    virtual void WritePowerPosMap() override;
    virtual void ReadPowerPosMap() override;
    virtual bool FindPowerPosVector(int iFreq, double dSIndex, POWERPOSVECTOR &vector) override;
	virtual double PowerToAngle(int iFreq, double dSIndex, double dPower) override;
	virtual bool AddPowerPosVector(int iFreq,double dSIndex,POWERPOSVECTOR& vector);

private:
	void WritePowerPosMapText();
	void GenPower();
};

#endif // CLASERPATH_EPULSE_H
